1. DNS
  • Litemail
    • Litemail Docs
    • Users
      • Retrieve User Details
    • Workspaces
      • Retrieve All Workspaces
      • Create New Workspace
      • Update Workspace
    • Billings
      • Add Billing Details
    • Mailboxes
      • Retrieve Mailboxes
      • Assign New Mailbox to Domain
      • Get Mailbox Details
      • Update Mailbox
      • Remove Mailbox (Next Renewal)
    • Payment & Wallet
      • Get Wallet Balance
      • Add Balance to Wallet
      • Enable Auto Recharge
    • Exports
      • Export Mailboxes
      • Add Third Party Account Details
      • Update Third Party Account Details
    • Subscriptions
      • Get All Subscriptions
      • Cancel Subscription
      • Upgrade Subscription
    • Domains
      • Retrieve Domains
      • List Assignable Domains
      • Add DMARC Records
      • Add Domain Forwarding
      • Remove Domain Forwarding
      • Get Name Servers
      • Verify Name Server Propagation
      • Connect Domains with LiteMail AI
      • Enable Email Forwarding
      • Remove Email Forwarding
      • Enable Catch-All Emails
      • Remove Catch-All Emails
      • Check DNS Records
      • Remove Unused Domain
      • Get Available Domains for Registration
      • Get Domain Purchase Payment Link
    • DNS
      • Get DNS Records
      • Add DNS Record
      • Update DNS Record
      • Delete DNS Record
    • apikeys testing
      • generate key by login first
    • Connect Inbox
      • connect-inboxes
  • LiteMail API v3
    • Users
      • Retrieve User Details
    • Domains
      • Retrieve Domains
      • Purchase/Register a New Domain
      • List Assignable Domains
      • Add DMARC Records
      • Add Domain Forwarding
      • Remove Domain Forwarding
      • Get Name Servers
      • Verify Name Server Propagation
      • Connect Domains with LiteMail
      • Enable Email Forwarding
      • Remove Email Forwarding
      • Enable Catch-All Emails
      • Remove Catch-All Emails
      • Check DNS Records
      • Get Domain Details
      • Remove Unused Domain
      • Get Available Domains for Registration
      • Get Domain Purchase Payment Link
    • Mailboxes
      • Retrieve Mailboxes
      • Assign New Mailbox to Domain
      • Get Mailbox Details
      • Update Mailbox
      • Remove Mailbox (Next Renewal)
      • Get Warmup Analytics for Mailboxes
    • Workspaces
      • Retrieve All Workspaces
      • Create New Workspace
      • Update Workspace
    • Billings
      • Add Billing Details
    • Payment & Wallet
      • Get Wallet Balance
      • Add Balance to Wallet
      • Enable Auto Recharge
    • Wallet
      • Add Credit to Wallet
      • List Billing Invoices
    • Exports
      • Export Mailboxes
      • Add Third Party Account Details
      • Update Third Party Account Details
      • Connect Inboxes (Export to Platform)
    • Subscriptions
      • Get All Subscriptions
      • Cancel Subscription
      • Upgrade Subscription
    • DNS
      • Get DNS Records
        GET
      • Create DNS Record
        POST
      • Update DNS Record
        PUT
      • Delete DNS Record
        DELETE
    • Tags
      • List Tags
      • Create Tag
      • Update Tag
      • Delete Tag
    • MailBoxes
      • Assign Mailboxes to Domain
    • Placement
      • List Placement Tests
      • Create Placement Test
    • Dashboard
      • Get Dashboard Overview
      • Get Mailbox Status Counts
    • Export History
      • List Export History
      • Create Export History Record
    • Cloudflare
      • Get Cloudflare Credentials & Zones
      • Save Credentials or Connect Domain
    • Webhooks
      • List Registered Webhooks
      • Register a New Webhook Endpoint
      • Delete a Webhook
  1. DNS

Get DNS Records

GET
/v1/dns-records
Retrieve all DNS records for a domain. Requires domain (domain name) as a query parameter.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/dns-records?domain=undefined' \
--header 'x-api-key: <api-key>'

Responses

🟢200
application/json
DNS records fetched successfully
Bodyapplication/json

Example
{
    "status": 200,
    "message": "DNS records fetched successfully.",
    "data": {
        "totalRecords": 2,
        "records": [
            {
                "id": "clz1abc2",
                "type": "MX",
                "recordType": "MX",
                "name": "@",
                "host": "@",
                "value": "mail.litemail.ai",
                "priority": 10,
                "ttl": 3600,
                "domainId": "cmg9l788c0001la04ctg7t1j4"
            },
            {
                "id": "clz1abc3",
                "type": "TXT",
                "recordType": "TXT",
                "name": "@",
                "host": "@",
                "value": "v=spf1 include:_spf.google.com ~all",
                "ttl": 3600,
                "domainId": "cmg9l788c0001la04ctg7t1j4"
            }
        ]
    }
}
🟠400
🟠401
🟠404
🔴500
Previous
Upgrade Subscription
Next
Create DNS Record
Built with